Page MenuHomeSolus

Fix missing dependencies for anki
ClosedPublic

Authored by Staudey on Apr 11 2021, 6:21 PM.

Details

Summary

Rebuild and fix missing dependencies for anki

Fixes T9597

Depends on D10851 and D10853

pip check will still complain about missing python-orjson but that one is optional, and difficult to package

anki now builds with our native Rust version after a bit of tweaking, no more need to download the nightly toolchain

Test Plan

Launched anki, played through a Japanese deck with audio and images

Diff Detail

Repository
R4607 anki
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 192
Build 192: arc lint + arc unit

Event Timeline

Staudey created this revision.Apr 11 2021, 6:21 PM
Staudey requested review of this revision.Apr 11 2021, 6:21 PM
JoshStrobl accepted this revision.Apr 16 2021, 2:01 AM
JoshStrobl added a subscriber: JoshStrobl.

LGTM, thanks!

This revision is now accepted and ready to land.Apr 16 2021, 2:01 AM
Staudey updated this revision to Diff 26400.Apr 28 2021, 6:05 PM

Remove python-orjson again (optional)

Staudey edited the summary of this revision. (Show Details)Apr 28 2021, 6:05 PM
Staudey edited the summary of this revision. (Show Details)Apr 28 2021, 6:11 PM
Staudey edited the test plan for this revision. (Show Details)
Staudey edited the summary of this revision. (Show Details)
Staudey updated this revision to Diff 26445.May 1 2021, 1:54 PM

Add vala-panel-appmenu for T9696 and build with native Rust

Staudey edited the summary of this revision. (Show Details)May 1 2021, 1:55 PM
Staudey updated this revision to Diff 26455.May 2 2021, 1:39 PM

Remove vala-panel-appmenu dependency again

Staudey edited the summary of this revision. (Show Details)May 2 2021, 1:40 PM
This revision was automatically updated to reflect the committed changes.